Qt 5.6 | Qt Quick | C++ Classes | QSGTextureProvider

Qt 5.6.2 Reference Documentation

# QSGTextureProvider Class

The QSGTextureProvider class encapsulates texture based entities in QML. More...

Header: | #include <QSGTextureProvider>
qmake: | QT += quick
Inherits: | QObject

- List of all members, including inherited members

## Public Functions

virtual QSGTexture * | texture() const = 0

- 31 public functions inherited from QObject

## Signals

void | textureChanged()

- 2 signals inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 9 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QSGTextureProvider class encapsulates texture based entities in QML.

The QSGTextureProvider lives primarily in the scene graph rendering thread.

See also Scene Graph - Two Texture Providers.

## Member Function Documentation

### `[pure virtual]` QSGTexture *QSGTextureProvider::texture() const

Returns a pointer to the texture object.

### `[signal]` void QSGTextureProvider::textureChanged()

This signal is emitted when the texture changes.